Bug 1025919 - HiDPI - Firefox font rendering is undersized (layout.css.devPixelsPerPx)
HiDPI - Firefox font rendering is undersized (layout.css.devPixelsPerPx)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 20:49 EDT by Alan Santos
Modified: 2015-06-29 08:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:47:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1.67 MB, image/png)
2013-11-01 20:49 EDT, Alan Santos
no flags Details

  None (edit)
Description Alan Santos 2013-11-01 20:49:08 EDT
Created attachment 818507 [details]
screenshot

Description of problem:

Fedora 20 on macbook pro, retina.

widgets and windos render beautifully and at what appears to be a largish scale - i.e. display is at 2880x1800 and it *looks* as though screen is 1440x900

Firefox text is too small, widget/window font rendering appears to be scaled nicely.

Version-Release number of selected component (if applicable):
f20, ff 25

How reproducible:
always on retina mbp


Expected results:

firefox text is comparable to text in wm/gtk
Comment 1 Alan Santos 2013-11-04 10:05:07 EST
Manually overriding layout.css.devPixelsPerPx to 1.5 or 2 fixes this and fonts are rendered quite nicely in FF. If not a bit large :)
Comment 2 Martin Stransky 2014-01-06 09:35:17 EST
How did you set the display scale? I guess it's not a default settings, right? Have you changed screen DPI or so?
Comment 3 Alan Santos 2014-01-06 10:00:34 EST
(In reply to Martin Stransky from comment #2)
> How did you set the display scale? I guess it's not a default settings,
> right? Have you changed screen DPI or so?

I changed the layout.xxx setting in firefox,using about:config
Comment 4 Martin Stransky 2014-01-06 10:03:31 EST
I mean how did you change it for the system, not in Firefox. Because Firefox should get the scale value from the system pref somehow, right?
Comment 5 Alan Santos 2014-01-06 10:05:20 EST
sorry. I didn't change anything for the system. It seemed to be picked up correctly with the install.
Comment 7 Fedora End Of Life 2015-05-29 05:40:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:47:34 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.